[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoOnShowHint

Signals the OnShowHint event handler.

## Declaration

Source position: controls.pp line 1533

`protected procedure TControl.DoOnShowHint(`
`HintInfo: PHintInfo`
`); virtual;`

## Arguments

`HintInfo` |  | Pointer to the structure with the position, width, color, and hint text for the event handler.

## Description

Called when the CM_HINTSHOW message is handled for the control.

## See also

TControl.OnShowHint |  | Event handler signalled when a hint window is displayed for the control.
TControl.CMHintShow |  | Handles the CM_HINTSHOW message for the control.
PHintInfo |  | Pointer to a THintInfo instance.
THintInfo |  | Contains content and state information for Hints displayed for a window or control.